Bug 1568400 - Review Request: task-spooler - Task Spooler
Summary: Review Request: task-spooler - Task Spooler
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Vitaly Zaitsev
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-17 12:27 UTC by Vasiliy Glazov
Modified: 2018-04-18 12:52 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-18 12:52:44 UTC
Type: Bug
vitaly: fedora-review+


Attachments (Terms of Use)

Description Vasiliy Glazov 2018-04-17 12:27:51 UTC
Spec URL: https://raw.githubusercontent.com/Vascom/task-spooler/master/task-spooler.spec
SRPM URL: https://kojipkgs.fedoraproject.org//work/tasks/4893/26414893/task-spooler-1.0-1.fc29.src.rpm

Description:
Task spooler is a Unix batch system where the tasks spooled run one
after the other. Each user in each system has his own job queue. The tasks are
run in the correct context (that of enqueue) from any shell/process, and its
output/results can be easily watched. It is very useful when you know that
your commands depend on a lot of RAM, a lot of disk use, give a lot of
output, or for whatever reason it's better not to run them at the same time.

As I see previous Review Request is dead two years ago https://bugzilla.redhat.com/show_bug.cgi?id=1078588

Comment 2 Vitaly Zaitsev 2018-04-18 11:41:08 UTC
> touch configure
> chmod +x configure

You can set build flags using:
export CFLAGS="%{optflags}"
export LDFLAGS="%{__global_ldflags}"

> make PREFIX=%{buildroot}/usr install

Do not use hardcoded paths. Use macro instead:
%make_install PREFIX=%{_prefix}

Comment 3 Vasiliy Glazov 2018-04-18 11:53:12 UTC
Spec URL: https://raw.githubusercontent.com/Vascom/task-spooler/master/task-spooler.spec
SRPM URL: https://kojipkgs.fedoraproject.org//work/tasks/7605/26437605/task-spooler-1.0-1.fc29.src.rpm

I save my variant of setting flags.
Add macro for install.

Comment 4 Vitaly Zaitsev 2018-04-18 12:13:44 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v2)", "Unknown or generated".
[x]: License file installed when any subpackage combination is installed.
[x]: Package does not own files or directories owned by other packages.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: task-spooler-1.0-1.fc29.x86_64.rpm
          task-spooler-debuginfo-1.0-1.fc29.x86_64.rpm
          task-spooler-debugsource-1.0-1.fc29.x86_64.rpm
          task-spooler-1.0-1.fc29.src.rpm
task-spooler.x86_64: W: spelling-error %description -l en_US enqueue -> en queue, en-queue, queue
task-spooler.x86_64: W: only-non-binary-in-usr-lib
task-spooler.x86_64: W: file-in-meta-package
task-spooler.x86_64: E: incorrect-fsf-address /usr/share/licenses/task-spooler/COPYING
task-spooler-debuginfo.x86_64: W: file-in-meta-package
task-spooler-debugsource.x86_64: W: no-documentation
task-spooler-debugsource.x86_64: W: file-in-meta-package
task-spooler.src: W: spelling-error %description -l en_US enqueue -> en queue, en-queue, queue
4 packages and 0 specfiles checked; 1 errors, 7 warnings.




Rpmlint (debuginfo)
-------------------
Checking: task-spooler-debuginfo-1.0-1.fc29.x86_64.rpm
task-spooler-debuginfo.x86_64: W: file-in-meta-package
1 packages and 0 specfiles checked; 0 errors, 1 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
task-spooler.x86_64: W: spelling-error %description -l en_US enqueue -> en queue, en-queue, queue
task-spooler.x86_64: W: invalid-url URL: http://vicerveza.homeunix.net/~viric/soft/ts <urlopen error [Errno -2] Name or service not known>
task-spooler.x86_64: W: only-non-binary-in-usr-lib
task-spooler.x86_64: W: file-in-meta-package
task-spooler.x86_64: E: incorrect-fsf-address /usr/share/licenses/task-spooler/COPYING
task-spooler-debuginfo.x86_64: W: invalid-url URL: http://vicerveza.homeunix.net/~viric/soft/ts <urlopen error [Errno -2] Name or service not known>
task-spooler-debuginfo.x86_64: W: file-in-meta-package
task-spooler-debugsource.x86_64: W: invalid-url URL: http://vicerveza.homeunix.net/~viric/soft/ts <urlopen error [Errno -2] Name or service not known>
task-spooler-debugsource.x86_64: W: no-documentation
task-spooler-debugsource.x86_64: W: file-in-meta-package
3 packages and 0 specfiles checked; 1 errors, 9 warnings.



Requires
--------
task-spooler (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    rtld(GNU_HASH)

task-spooler-debuginfo (rpmlib, GLIBC filtered):

task-spooler-debugsource (rpmlib, GLIBC filtered):



Provides
--------
task-spooler:
    task-spooler
    task-spooler(x86-64)

task-spooler-debuginfo:
    debuginfo(build-id)
    task-spooler-debuginfo
    task-spooler-debuginfo(x86-64)

task-spooler-debugsource:
    task-spooler-debugsource
    task-spooler-debugsource(x86-64)



Source checksums
----------------
http://vicerveza.homeunix.net/~viric/soft/ts/ts-1.0.tar.gz :
  CHECKSUM(SHA256) this package     : 4f53e34fff0bb24caaa44cdf7598fd02f3e5fa7cacaea43fa0d081d03ffbb395
  CHECKSUM(SHA256) upstream package : 4f53e34fff0bb24caaa44cdf7598fd02f3e5fa7cacaea43fa0d081d03ffbb395


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1568400 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 5 Vitaly Zaitsev 2018-04-18 12:15:03 UTC
> E: incorrect-fsf-address /usr/share/licenses/task-spooler/COPYING

This rpmlint error can be fixed during package import. Package approved.

Comment 6 Gwyn Ciesla 2018-04-18 12:31:48 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/task-spooler


Note You need to log in before you can comment on or make changes to this bug.